Bug 561058 - SELinux is preventing /usr/libexec/polkit-1/polkitd "getattr" access on /root/.config/user-dirs.dirs.
Summary: SELinux is preventing /usr/libexec/polkit-1/polkitd "getattr" access on /root...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:afb35bd2b2a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-02 15:39 UTC by Panormitis Petrou
Modified: 2010-03-09 21:43 UTC (History)
8 users (show)

Fixed In Version: 3.6.32-84.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-11 14:43:51 UTC


Attachments (Terms of Use)

Description Panormitis Petrou 2010-02-02 15:39:38 UTC
Περίληψη:

SELinux is preventing /usr/libexec/polkit-1/polkitd "getattr" access on
/root/.config/user-dirs.dirs.

Detailed Description:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by polkitd. It is not expected that this access
is required by polkitd and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:policykit_t:s0-s0:c0.c1023
Target Context                system_u:object_r:gnome_home_t:s0
Target Objects                /root/.config/user-dirs.dirs [ file ]
Source                        polkitd
Source Path                   /usr/libexec/polkit-1/polkitd
Θύρα                      <Άγνωστο>
Host                          (removed)
Source RPM Packages           polkit-0.95-0.git20090913.3.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-78.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.31.12-174.2.3.fc12.x86_64 #1 SMP Mon Jan 18
                              19:52:07 UTC 2010 x86_64 x86_64
Alert Count                   1
First Seen                    Τρι 02 Φεβ 2010 05:34:29 μμ EET
Last Seen                     Τρι 02 Φεβ 2010 05:34:29 μμ EET
Local ID                      c8a5f5a5-ebcc-4d2a-a91f-f3675ac242f7
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1265124869.930:14): avc:  denied  { getattr } for  pid=2732 comm="polkitd" path="/root/.config/user-dirs.dirs" dev=dm-1 ino=24641579 scontext=system_u:system_r:policykit_t:s0-s0:c0.c1023 tcontext=system_u:object_r:gnome_home_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1265124869.930:14): arch=c000003e syscall=5 success=yes exit=0 a0=7 a1=7fffc402c0d0 a2=7fffc402c0d0 a3=1d items=0 ppid=2731 pid=2732 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="polkitd" exe="/usr/libexec/polkit-1/polkitd" subj=system_u:system_r:policykit_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  selinux-policy-3.6.32-78.fc12,catchall,polkitd,policykit_t,gnome_home_t,file,getattr
audit2allow suggests:

#============= policykit_t ==============
allow policykit_t gnome_home_t:file getattr;

Comment 1 Miroslav Grepl 2010-02-03 13:22:21 UTC
Did you log in as root via X?  Not a good idea.

You can just remove that directory 

rm -R /root/.config


Fixed in selinux-policy-3.6.32-79.fc12

Comment 2 Fedora Update System 2010-02-03 23:21:44 UTC
selinux-policy-3.6.32-82.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-82.fc12

Comment 3 Fedora Update System 2010-02-05 01:46:24 UTC
selinux-policy-3.6.32-84.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-1492

Comment 4 Fedora Update System 2010-02-11 14:39:35 UTC
selinux-policy-3.6.32-84.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.